#include <bits/stdc++.h>
using namespace std;
int main() {
    long long h, w;
    cin >> h >> w;
    if(h == 1 && w == 1) {
        cout << 1;
        return 0;
    }
    long long ans = h * w;
    long long x = max(h, w);
    long long y = min(h, w) - 1;
    for(long long i = min(h, w) - 1; i > 0; --i) {
        ans += i * x;
        ans += x - 1 + x * (x + 1) / 2;
    }
    ans += x - 1 + x * (x - 1) / 2;
    cout << ans;
    return 0;
}